# FpeOptions

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**radix** | **int** | The base for input data. | 
**min_length** | **int** | The minimum allowed length for the input data. | [optional] 
**max_length** | **int** | The maximum allowed length for the input data. | [optional] 
**preserve** | **list[int]** | The list of indices of characters to be preserved while performing encryption/decryption. | [optional] 
**mask** | **list[int]** | The list of indices of characters to be masked while performing masked decryption. | [optional] 
**luhn_check** | **bool** | Whether encrypted/decrypted data should satisfy LUHN checksum formula. | [optional] 
**name** | **str** | The user-friendly name for the data type that represents the input data. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


